# Taiyoji

[![Build Status](https://secure.travis-ci.org/cyril/taiyoji.rb.png)](http://travis-ci.org/cyril/taiyoji.rb)
[![Dependencies](https://gemnasium.com/cyril/taiyoji.rb.png?travis)](https://gemnasium.com/cyril/taiyoji.rb)
[![Gem Version](https://badge.fury.io/rb/taiyoji.png)](http://badge.fury.io/rb/taiyoji)

Returns the offset in seconds between solar time and UTC.

## Installation

Add this line to your application's Gemfile:

    gem 'taiyoji'

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install taiyoji

## Scenario

Given the Tsuruhashi Station address:

> 5 Shimoajiharachō, Tennōji-ku, Ōsaka-shi, Ōsaka-fu, Japan

When the geolocation's longitude is 135.529747,
then the solar offset must be 32527 seconds (+09:04).

## Usage

```ruby
require 'taiyoji'

Taiyoji.solar_offset 135.529747 # => 32527
```

## Contributing

1. Fork it
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create a new Pull Request
